* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;

}

/* General CSS for entire website */
:root {
    --bg: #f9fafb;
    --text: #111111;
    --card: #f5f5f5;
    --accent: #2563eb;
    --shadow-sm: 0 10px 10px rgba(235, 43, 43, 0.06);
    --border: rgba(0,0,0,0.08);
    --max-width: 1100px;
}

h1 {
    font-size: 3rem;
    letter-spacing: -0.03em;
    margin-bottom: 1rem;
}

h2 {
    font-size: 2.2rem;
    letter-spacing: -0.02em;
    margin-bottom: 1rem;
}

h3 {
    font-size: 1.2rem;
    margin-bottom: 0.5rem;
}

p {
    color: #555;
    color: var(--muted);
    line-height: 1.7;
}


body {
    font-family: Arial, sans-serif;
    background: var(--bg);
    color: var(--text);
    line-height: 1.6;
    transition: 0.3s;
}


/* CSS for Home page  */
.logo {
    width: 70px;
    height: auto;
    margin-left: 60px;
    cursor: pointer;
}

.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 1rem 2rem;

    position: sticky;
    top: 0;

    background: var(--bg);
    background-color: #c9c7c7;
    /* border-bottom: 2px solid #ccc; */
    box-shadow:0 4px 12px rgba(0,0,0,.1);
}

.navbar h2 {
    margin-left: 60px;
}

.nav-links {
    margin-right: 60px;
    display: flex;
    gap: 1rem;
    list-style: none;
    /* align-items: */
}

.nav-links a {
    text-decoration: none;
    color: var(--text);
    position:relative;
    transition:.2s;
}

.nav-links a::after{

    content:"";
    position:absolute;
    bottom:-5px;
    left:0;
    width:0;
    height:2px;
    background:var(--accent);
    transition:.25s;

}

.nav-links a:hover::after{
    width:100%;
}

/* Main section of home page */
.intro {
    min-height: 30vh;
    margin-top: 3rem;

    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;

    text-align: center;
    padding: 2rem;
    /* margin */
}

.headline {
    font-size: 1.25rem;
    max-width: 600px;
    margin-top: 1rem;
}

.nav.buttons {
    display: flex;
    gap: 3rem;
    margin-top: 2rem;
}

.btn 
{
    background: var(--accent);
    border-radius: 12px;
    padding: 0.8rem 1.5rem;
    color: white;
    text-decoration: none;
    transition: all 0.2s ease;
    display: inline-block;

}

.btn.projects, .btn.cv {
    background: var(--accent);
    color: white;
}

.btn.personal {
    filter: drop-shadow(0 0 6px rgb(233, 66, 15));
}

.btn:hover
{
    transform: translateY(-5px);
    box-shadow: var(--shadow-sm);
    filter: drop-shadow(0 0 6px rgb(31, 121, 28));
}


.personal-info {
    padding: 5rem;
    max-width: 800px;
    margin: auto;
}

.personal-info h2 {
    text-align: center;
    margin-bottom: 2rem;
}

.personal-info p {
    margin-top: 2rem;
}

.photo-container { 
    margin-top: 3rem;
    display: flex;
    justify-content: space-between
}

.profile-photo {
    display: flex;
    margin: auto;
    width: 400px;
    height: 400px;
    object-fit: cover;
    
    border-radius: 50%;
}

.profile-photo2 {
    display: flex;
    margin: auto;
    width: 400px;
    height: 400px;
    
    object-fit: cover;
    
    border-radius: 50%;
} 

.profile-photo:hover, .profile-photo2:hover {
    transform: scale(1.1);
}

#about-me-paragraphs {
    padding: 5rem 5rem;
    max-width: 2000px;
    margin: auto;
    margin-left: 5%;
    margin-right: 5%;
}

#about-me-paragraphs h2 {
    margin-top: 10%;
}

#about-me-paragraphs p {
    font-size: large;
    margin-bottom: 1rem;
}

#about-me-paragraphs ul {
    font-size: large;
    margin-bottom: 2rem;
    padding-left: 25px;
}


.skills-info {
    display: flex;
    flex-wrap: wrap;
    /* gap: 1rem; */
    margin-bottom: 2rem;
    /* padding-right: 1rem; */
}

.skills-info span {
    background: var(--card);
    padding: 0.5rem 1rem;
    border-radius: 20px;
}

.section {
    padding: 6rem 1.5rem;
    max-width: var(--max-width);
    margin: auto;
}

.section h2 {
    text-align: left;
    margin-bottom: 2rem;
}

.section h3 {
    text-align: left;
    margin-bottom: 1rem;
}

.project-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(280px, 1fr));
    gap: 2rem;
}

/* Style for structure of card */
.home-project-card {
    background: var(--card);
    padding: 1.5rem;
    border-radius: 16px; /* used to round the background border corners */
    border: 1px solid var(--border);

    text-decoration: none;
    color: inherit;

    display: flex;
    flex-direction: column;
    gap: 0.75rem;

    transition: all 0.25s ease;

    box-shadow: var(--shadow-sm);
}

/* Hover of a project card  */
.home-project-card:hover {
    transform: translateY(-8px);
    box-shadow: var(--shadow-md);
    border-color: rgba(37, 99, 235, 0.2);
}

.home-project-card h3 {
    margin-bottom: 1rem;
}

.home-project-card p {
    margin-bottom: 1rem;
}

.tag {
    display: inline-block;
    padding: 0.25rem 0.75rem;
    font-size: 0.8rem;

    background: rgba(37, 99, 235, 0.08);
    color: var(--accent);

    border-radius: 999px;
    margin-right: 0.25rem;
    margin-top: 0.5rem;
}

/* CSS for Projects Page */
.projects-container {
    display: flex;
    flex-direction: column;
    gap: 2rem;
    
    max-width: 900px;
    margin: auto;
    padding: 2rem;
}

.project-case-study {
    display: grid;
    grid-template-columns: 1.2fr 1fr;
    gap: 4rem;

    align-items: center;

    padding: 4rem 0;
    border-bottom: 2px solid rgba(0,0,0,0.08);
}

.project-image img {
    width: 100%;
    border-radius: 16px;
    box-shadow: 0 20px 50px rgba(0,0,0,0.4);
    transition: transform 0.3s ease;
}

.project-image img:hover {
    transform: scale(1.02);
}

.tech-stack {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
    margin-top: 1rem;
}

.tech-stack span {
    padding: 0.4rem 0.9rem;
    border-radius: 999px;

    background: rgba(37, 99, 235, 0.08);
    color: var(--accent);

    font-size: 0.85rem;
}

.portfolio-image {
    display: flex;
    /* margin: auto; */
    width: 600px;
    
    object-fit: cover;
    
}

.project-card {
    scroll-margin-top: 100px;
    padding: 1.5rem;

    border: 1px solid #ccc;
    border-radius: 10px;

    background-color: #f9f9f9;
}

.projects-container,
.projects-hero {
    max-width: 1100px;
    margin: 0 auto;
}

.project-info {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.project-case-study {
    transition: transform 0.3s ease;
    border-radius:16px;
    padding:3rem;
}

.project-case-study:hover {
    transform: translateY(-4px);
    background:white;
}

.project-links a{
    display: inline-block;
    margin-right: 1rem;

    color: var(--accent);
    text-decoration: none;

    font-weight: 500;
    
}

.project-links a:hover {
    text-decoration: underline;
}

.window {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.7);
    justify-content: center;
    align-items: center;
}

.window-content {
    background: var(--bg);
    padding: 20px;
    border-radius: 15px;
    text-align: center;
}

#previous {
    color: var(--accent);
    margin-right: 2rem;
    font-size: 30px;
    padding-left: 15px;
    padding-right: 15px;
    border-radius: 2rem;
}

#next {
    color: var(--accent);
    margin-left: 2rem;
    font-size: 30px;
    padding-left: 15px;
    padding-right: 15px;
    border-radius: 2rem;
}

#gallery-image {
    width: 1000px;
    max-width: 90%;
    border-radius: 10px;
    margin-bottom: 2rem;
}

#gallery-video {
    /* display: none; */
    width: 1300px;
    max-width: 90%;
}

#close {
    float: right;
    font-size: 40px;
    cursor: pointer;
}

.icon {
    width: 40px;
    height: 40px;
}

#contact {
    display:flex;
    justify-content:center;
    flex-wrap:wrap;
    gap:40px;
}

#contact a {
    font-size: 2.5rem;
    color: black;
    transition: transform 0.2s ease;
}

#contact a:hover {
    transform: scale(1.5);
}

#contact p {
    display: flex;
}



/* General information */
section {
    padding: 3rem 1.5rem;
}

footer {
    text-align: center;
    padding: 2rem;
}


@media (max-width: 768px) {

    .navbar {
        flex-direction: column;
        gap: 1rem;
    }

    .intro h1 {
        font-size: 2rem;
    }

    .nav-links{
        margin-left: 0;
        margin:0;
        flex-direction:column;
        align-items:center;
        margin-right: 0;
    }

    .photo-container{
        flex-direction:column;
        gap:2rem;
    }

    .profile-photo,
    .profile-photo2{
        width:250px;
        height:250px;
    }

    .project-case-study{
        grid-template-columns:1fr;
        gap:2rem;
    }

    .portfolio-image{
        width:100%;
    }

    .nav.buttons{
        flex-direction:column;
    }

}